/*
 * Copyright (C) 2020 Michael Krause
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
import 'package:array_object_adapter/src/presenter.dart';
import 'package:flutter/widgets.dart';

/// Simple Placeholder if no Presenter matched.
/// Placeholder to support using not null properties.
class NoPresenter implements Presenter {
  @override
  Widget createView(BuildContext context, Object item) => Container();
}
